<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="@since J2EE1.3  The ejb-relation element describes a relationship between two entity beans with container managed persistence. An ejb-relation element contains a description; an optional ejb-relation-name element; and exactly two relationship role declarations, defined by the ejb-relationship-roles. The name of the relationship, if specified, is unique within the ejb-jar file.    @invariant The name of the relationship, if specified, is unique within the ejb-jar file.  @invariant self.relationshipRoles.size == 2  @invariant self.relationshipRoles[0].name != self.relationshipRoles[1].name    @migration EJB1.1 Moved from ejbext::EjbRelationshipRole contained under ejbext::EJBJarExtension  @migration EJB1.1 added optional attribute, description:String  @migration EJB1.1 added optional attribute, name:String (May have been inherited from RefBaseObject previously)">
<meta name="KeyWords" content="EJBRelation,Class EJBRelation,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;EJBRelation&nbsp;{Analysis}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>@since&nbsp;J2EE1.3
<BR>The&nbsp;ejb-relation&nbsp;element&nbsp;describes&nbsp;a&nbsp;relationship&nbsp;between&nbsp;two&nbsp;entity&nbsp;beans&nbsp;with&nbsp;container&nbsp;managed&nbsp;persistence.&nbsp;An&nbsp;ejb-relation&nbsp;element&nbsp;contains&nbsp;a&nbsp;description;&nbsp;an&nbsp;optional&nbsp;ejb-relation-name&nbsp;element;&nbsp;and&nbsp;exactly&nbsp;two&nbsp;relationship&nbsp;role&nbsp;declarations,&nbsp;defined&nbsp;by&nbsp;the&nbsp;ejb-relationship-roles.&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;relationship,&nbsp;if&nbsp;specified,&nbsp;is&nbsp;unique&nbsp;within&nbsp;the&nbsp;ejb-jar&nbsp;file.
<BR>
<BR>@invariant&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;relationship,&nbsp;if&nbsp;specified,&nbsp;is&nbsp;unique&nbsp;within&nbsp;the&nbsp;ejb-jar&nbsp;file.
<BR>@invariant&nbsp;self.relationshipRoles.size&nbsp;==&nbsp;2
<BR>@invariant&nbsp;self.relationshipRoles[0].name&nbsp;!=&nbsp;self.relationshipRoles[1].name
<BR>
<BR>@migration&nbsp;EJB1.1&nbsp;Moved&nbsp;from&nbsp;ejbext::EjbRelationshipRole&nbsp;contained&nbsp;under&nbsp;ejbext::EJBJarExtension
<BR>@migration&nbsp;EJB1.1&nbsp;added&nbsp;optional&nbsp;attribute,&nbsp;description:String
<BR>@migration&nbsp;EJB1.1&nbsp;added&nbsp;optional&nbsp;attribute,&nbsp;name:String&nbsp;(May&nbsp;have&nbsp;been&nbsp;inherited&nbsp;from&nbsp;RefBaseObject&nbsp;previously)</font><BR><BR>
</body>
</html>
